import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

import static org.junit.Assert.*;

public class HamletParserTest {
    private String hamletText;
    private HamletParser hamletParser;

    @Before
    public void setUp() {
        this.hamletParser = new HamletParser();
        this.hamletText = hamletParser.getHamletData();
    }

    @Test
    public void testChangeHamletToLeon() {
        hamletParser.changeHamletToLeon();
        Assert.assertFalse(hamletParser.findHamlet());
    }

    @Test
    public void testChangeHoratioToTariq() {
        hamletParser.changeHoratioToTariq();
        Assert.assertFalse(hamletParser.findHoratio());
    }

    @Test
    public void testFindHoratio() {
        boolean expected = hamletParser.getHamletData().toLowerCase().contains("horatio");
        boolean actual = hamletParser.findHoratio();

        Assert.assertEquals(expected, actual);
    }

    @Test
    public void testFindHamlet() {
        boolean expected = hamletParser.getHamletData().toLowerCase().contains("hamlet");
        boolean actual = hamletParser.findHamlet();

        Assert.assertEquals(expected, actual);
    }
}